<?xml version="1.0" encoding="UTF-8"?>
<definitions xmlns="http://www.omg.org/spec/BPMN/20100524/MODEL" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xmlns:xsd="http://www.w3.org/2001/XMLSchema" xmlns:activiti="http://activiti.org/bpmn" xmlns:bpmndi="http://www.omg.org/spec/BPMN/20100524/DI" xmlns:omgdc="http://www.omg.org/spec/DD/20100524/DC" xmlns:omgdi="http://www.omg.org/spec/DD/20100524/DI" typeLanguage="http://www.w3.org/2001/XMLSchema" expressionLanguage="http://www.w3.org/1999/XPath" targetNamespace="http://www.activiti.org/processdef">
  <process id="goods" name="物品领用" isExecutable="true">
    <documentation>物品领用流程</documentation>
    <startEvent id="sid-8C7943C3-D073-414F-9A35-1A3AEFDB89FB">
      <extensionElements>
        <activiti:executionListener event="end" class="com.wstapp.modules.apply.listener.NoticeApplyUserIsLeader"></activiti:executionListener>
      </extensionElements>
    </startEvent>
    <userTask id="sid-95B3BD60-3DBE-43AA-BA15-9B95B498B116" name="部门主任审批" activiti:assignee="${principal}">
      <extensionElements>
        <activiti:formProperty id="flag" name="0,1" type="string"></activiti:formProperty>
        <modeler:initiator-can-complete xmlns:modeler="http://activiti.com/modeler"><![CDATA[false]]></modeler:initiator-can-complete>
      </extensionElements>
    </userTask>
    <endEvent id="sid-63FB6C65-A2E3-4430-821C-ED1699976430">
      <extensionElements>
        <activiti:executionListener event="end" class="com.wstapp.modules.apply.listener.ProcessResultListener"></activiti:executionListener>
        <activiti:executionListener event="end" class="com.wstapp.modules.apply.listener.GoodsAmountListener"></activiti:executionListener>
      </extensionElements>
    </endEvent>
    <exclusiveGateway id="sid-4DBDEF53-F64D-4398-8E12-A2E1C9BE53E4" name="是否通过"></exclusiveGateway>
    <sequenceFlow id="sid-63011FBD-77E7-441D-96B7-0C93202D04B2" sourceRef="sid-95B3BD60-3DBE-43AA-BA15-9B95B498B116" targetRef="sid-4DBDEF53-F64D-4398-8E12-A2E1C9BE53E4"></sequenceFlow>
    <userTask id="sid-FD9C29E7-F310-4CE7-AD1F-C5889A231A15" name="物品管理员" activiti:assignee="1178123788634411010">
      <extensionElements>
        <activiti:formProperty id="flag" name="0,1" type="string"></activiti:formProperty>
        <activiti:formProperty id="writable" name="1" type="string"></activiti:formProperty>
        <modeler:initiator-can-complete xmlns:modeler="http://activiti.com/modeler"><![CDATA[false]]></modeler:initiator-can-complete>
      </extensionElements>
    </userTask>
    <exclusiveGateway id="sid-70564B24-8780-4BEC-A9C8-388C312D8970" name="是否通过"></exclusiveGateway>
    <sequenceFlow id="sid-F9D9924A-C986-4D82-9862-019FC7523E91" sourceRef="sid-FD9C29E7-F310-4CE7-AD1F-C5889A231A15" targetRef="sid-70564B24-8780-4BEC-A9C8-388C312D8970"></sequenceFlow>
    <userTask id="sid-EB1C4F87-922C-404B-B206-87A3574CDF61" name="办公室主任审批" activiti:assignee="1178124163567439873">
      <extensionElements>
        <activiti:formProperty id="flag" name="0,1" type="string"></activiti:formProperty>
        <activiti:formProperty id="writable" name="1" type="string"></activiti:formProperty>
        <activiti:taskListener event="complete" class="com.wstapp.modules.apply.listener.GoodsDetailStatusModifyListener"></activiti:taskListener>
        <modeler:initiator-can-complete xmlns:modeler="http://activiti.com/modeler"><![CDATA[false]]></modeler:initiator-can-complete>
      </extensionElements>
    </userTask>
    <exclusiveGateway id="sid-721EDA59-8399-45E7-A2F7-BF9C19E5B9F7" name="是否通过"></exclusiveGateway>
    <sequenceFlow id="sid-C1D5F374-7BE5-4F29-B389-919FA86D96F7" sourceRef="sid-EB1C4F87-922C-404B-B206-87A3574CDF61" targetRef="sid-721EDA59-8399-45E7-A2F7-BF9C19E5B9F7"></sequenceFlow>
    <userTask id="sid-D205BBDE-1F17-4F53-A4BF-745B7FC7370D" name="物品管理员发放" activiti:assignee="1178123788634411010">
      <extensionElements>
        <activiti:formProperty id="flag" name="3" type="string"></activiti:formProperty>
        <activiti:formProperty id="writable" name="1" type="string"></activiti:formProperty>
        <activiti:taskListener event="complete" class="com.wstapp.modules.apply.listener.GoodsDetailStatusModifyListener"></activiti:taskListener>
        <modeler:initiator-can-complete xmlns:modeler="http://activiti.com/modeler"><![CDATA[false]]></modeler:initiator-can-complete>
      </extensionElements>
    </userTask>
    <userTask id="sid-64FFEA66-7842-40D3-9F31-B0FCF9C14EAB" name="申请人确认" activiti:assignee="${applyUser}">
      <extensionElements>
        <activiti:formProperty id="flag" name="0,1" type="string"></activiti:formProperty>
        <activiti:taskListener event="complete" class="com.wstapp.modules.apply.listener.GoodsDetailStatusModifyListener"></activiti:taskListener>
        <modeler:initiator-can-complete xmlns:modeler="http://activiti.com/modeler"><![CDATA[false]]></modeler:initiator-can-complete>
      </extensionElements>
    </userTask>
    <exclusiveGateway id="sid-0E8F9712-831E-431B-BBC9-1F503C64E52D" name="确认申领物品"></exclusiveGateway>
    <sequenceFlow id="sid-E1463676-846C-4984-BA9D-A585AD48910F" sourceRef="sid-D205BBDE-1F17-4F53-A4BF-745B7FC7370D" targetRef="sid-64FFEA66-7842-40D3-9F31-B0FCF9C14EAB"></sequenceFlow>
    <sequenceFlow id="sid-7384CFA9-C8CC-490E-9665-4212DE0C09BA" sourceRef="sid-64FFEA66-7842-40D3-9F31-B0FCF9C14EAB" targetRef="sid-0E8F9712-831E-431B-BBC9-1F503C64E52D"></sequenceFlow>
    <sequenceFlow id="sid-78ECB6F3-470A-4A6E-9A7E-40D680F56794" name="未通过" sourceRef="sid-0E8F9712-831E-431B-BBC9-1F503C64E52D" targetRef="sid-D205BBDE-1F17-4F53-A4BF-745B7FC7370D">
      <conditionExpression xsi:type="tFormalExpression"><![CDATA[${flag == 0}]]></conditionExpression>
    </sequenceFlow>
    <sequenceFlow id="sid-BFF485F4-DBD3-4FE6-8EAF-3C4863056606" name="是" sourceRef="sid-4DBDEF53-F64D-4398-8E12-A2E1C9BE53E4" targetRef="sid-FD9C29E7-F310-4CE7-AD1F-C5889A231A15">
      <conditionExpression xsi:type="tFormalExpression"><![CDATA[${flag == 1}]]></conditionExpression>
    </sequenceFlow>
    <sequenceFlow id="sid-9DFAE914-2FB1-4F27-917F-DD0CC29BD327" name="是" sourceRef="sid-70564B24-8780-4BEC-A9C8-388C312D8970" targetRef="sid-EB1C4F87-922C-404B-B206-87A3574CDF61">
      <conditionExpression xsi:type="tFormalExpression"><![CDATA[${flag == 1}]]></conditionExpression>
    </sequenceFlow>
    <sequenceFlow id="sid-30E2F5AB-54AD-4252-83B5-96045AFB9D14" name="是" sourceRef="sid-721EDA59-8399-45E7-A2F7-BF9C19E5B9F7" targetRef="sid-D205BBDE-1F17-4F53-A4BF-745B7FC7370D">
      <conditionExpression xsi:type="tFormalExpression"><![CDATA[${flag == 1}]]></conditionExpression>
    </sequenceFlow>
    <sequenceFlow id="sid-68497FB4-C9CC-4C34-B9F5-61CA625BB006" name="通过" sourceRef="sid-0E8F9712-831E-431B-BBC9-1F503C64E52D" targetRef="sid-63FB6C65-A2E3-4430-821C-ED1699976430">
      <conditionExpression xsi:type="tFormalExpression"><![CDATA[${flag == 1}]]></conditionExpression>
    </sequenceFlow>
    <sequenceFlow id="sid-896B4179-CA24-4941-A278-0786949F98FB" name="否" sourceRef="sid-721EDA59-8399-45E7-A2F7-BF9C19E5B9F7" targetRef="sid-63FB6C65-A2E3-4430-821C-ED1699976430">
      <conditionExpression xsi:type="tFormalExpression"><![CDATA[${flag == 0}]]></conditionExpression>
    </sequenceFlow>
    <sequenceFlow id="sid-09976D7E-D8A2-40A3-A97D-D7835FF92DF4" name="否" sourceRef="sid-4DBDEF53-F64D-4398-8E12-A2E1C9BE53E4" targetRef="sid-63FB6C65-A2E3-4430-821C-ED1699976430">
      <conditionExpression xsi:type="tFormalExpression"><![CDATA[${flag == 0}]]></conditionExpression>
    </sequenceFlow>
    <sequenceFlow id="sid-B606633E-C1E7-4C7C-B7C6-F8518AD2C6F9" name="否" sourceRef="sid-70564B24-8780-4BEC-A9C8-388C312D8970" targetRef="sid-63FB6C65-A2E3-4430-821C-ED1699976430">
      <conditionExpression xsi:type="tFormalExpression"><![CDATA[${flag == 0}]]></conditionExpression>
    </sequenceFlow>
    <exclusiveGateway id="sid-A467A013-1887-48CD-B4B4-92CA40EE6381" name="是否馆领导"></exclusiveGateway>
    <sequenceFlow id="sid-E02B5204-EB60-4550-82CC-568590AD2A06" sourceRef="sid-8C7943C3-D073-414F-9A35-1A3AEFDB89FB" targetRef="sid-A467A013-1887-48CD-B4B4-92CA40EE6381"></sequenceFlow>
    <sequenceFlow id="sid-A2171898-17C7-426D-A7B9-341B0709847D" name="是" sourceRef="sid-A467A013-1887-48CD-B4B4-92CA40EE6381" targetRef="sid-FD9C29E7-F310-4CE7-AD1F-C5889A231A15">
      <conditionExpression xsi:type="tFormalExpression"><![CDATA[${isLeader == 1}]]></conditionExpression>
    </sequenceFlow>
    <sequenceFlow id="sid-141D8AFE-3079-4E9C-9BED-E310D3970B28" name="否" sourceRef="sid-A467A013-1887-48CD-B4B4-92CA40EE6381" targetRef="sid-95B3BD60-3DBE-43AA-BA15-9B95B498B116">
      <conditionExpression xsi:type="tFormalExpression"><![CDATA[${isLeader == 0}]]></conditionExpression>
    </sequenceFlow>
  </process>
  <bpmndi:BPMNDiagram id="BPMNDiagram_goods">
    <bpmndi:BPMNPlane bpmnElement="goods" id="BPMNPlane_goods">
      <bpmndi:BPMNShape bpmnElement="sid-8C7943C3-D073-414F-9A35-1A3AEFDB89FB" id="BPMNShape_sid-8C7943C3-D073-414F-9A35-1A3AEFDB89FB">
        <omgdc:Bounds height="30.0" width="30.0" x="539.0" y="45.0"></omgdc:Bounds>
      </bpmndi:BPMNShape>
      <bpmndi:BPMNShape bpmnElement="sid-95B3BD60-3DBE-43AA-BA15-9B95B498B116" id="BPMNShape_sid-95B3BD60-3DBE-43AA-BA15-9B95B498B116">
        <omgdc:Bounds height="80.0" width="100.0" x="505.0" y="190.0"></omgdc:Bounds>
      </bpmndi:BPMNShape>
      <bpmndi:BPMNShape bpmnElement="sid-63FB6C65-A2E3-4430-821C-ED1699976430" id="BPMNShape_sid-63FB6C65-A2E3-4430-821C-ED1699976430">
        <omgdc:Bounds height="28.0" width="28.0" x="540.0" y="1075.0"></omgdc:Bounds>
      </bpmndi:BPMNShape>
      <bpmndi:BPMNShape bpmnElement="sid-4DBDEF53-F64D-4398-8E12-A2E1C9BE53E4" id="BPMNShape_sid-4DBDEF53-F64D-4398-8E12-A2E1C9BE53E4">
        <omgdc:Bounds height="40.0" width="40.0" x="535.0" y="310.0"></omgdc:Bounds>
      </bpmndi:BPMNShape>
      <bpmndi:BPMNShape bpmnElement="sid-FD9C29E7-F310-4CE7-AD1F-C5889A231A15" id="BPMNShape_sid-FD9C29E7-F310-4CE7-AD1F-C5889A231A15">
        <omgdc:Bounds height="80.0" width="100.0" x="505.0" y="375.0"></omgdc:Bounds>
      </bpmndi:BPMNShape>
      <bpmndi:BPMNShape bpmnElement="sid-70564B24-8780-4BEC-A9C8-388C312D8970" id="BPMNShape_sid-70564B24-8780-4BEC-A9C8-388C312D8970">
        <omgdc:Bounds height="40.0" width="40.0" x="535.0" y="490.0"></omgdc:Bounds>
      </bpmndi:BPMNShape>
      <bpmndi:BPMNShape bpmnElement="sid-EB1C4F87-922C-404B-B206-87A3574CDF61" id="BPMNShape_sid-EB1C4F87-922C-404B-B206-87A3574CDF61">
        <omgdc:Bounds height="80.0" width="100.0" x="505.0" y="570.0"></omgdc:Bounds>
      </bpmndi:BPMNShape>
      <bpmndi:BPMNShape bpmnElement="sid-721EDA59-8399-45E7-A2F7-BF9C19E5B9F7" id="BPMNShape_sid-721EDA59-8399-45E7-A2F7-BF9C19E5B9F7">
        <omgdc:Bounds height="40.0" width="40.0" x="535.0" y="685.0"></omgdc:Bounds>
      </bpmndi:BPMNShape>
      <bpmndi:BPMNShape bpmnElement="sid-D205BBDE-1F17-4F53-A4BF-745B7FC7370D" id="BPMNShape_sid-D205BBDE-1F17-4F53-A4BF-745B7FC7370D">
        <omgdc:Bounds height="80.0" width="100.0" x="505.0" y="765.0"></omgdc:Bounds>
      </bpmndi:BPMNShape>
      <bpmndi:BPMNShape bpmnElement="sid-64FFEA66-7842-40D3-9F31-B0FCF9C14EAB" id="BPMNShape_sid-64FFEA66-7842-40D3-9F31-B0FCF9C14EAB">
        <omgdc:Bounds height="80.0" width="100.0" x="505.0" y="885.0"></omgdc:Bounds>
      </bpmndi:BPMNShape>
      <bpmndi:BPMNShape bpmnElement="sid-0E8F9712-831E-431B-BBC9-1F503C64E52D" id="BPMNShape_sid-0E8F9712-831E-431B-BBC9-1F503C64E52D">
        <omgdc:Bounds height="40.0" width="40.0" x="535.0" y="1000.0"></omgdc:Bounds>
      </bpmndi:BPMNShape>
      <bpmndi:BPMNShape bpmnElement="sid-A467A013-1887-48CD-B4B4-92CA40EE6381" id="BPMNShape_sid-A467A013-1887-48CD-B4B4-92CA40EE6381">
        <omgdc:Bounds height="40.0" width="40.0" x="534.0" y="105.0"></omgdc:Bounds>
      </bpmndi:BPMNShape>
      <bpmndi:BPMNEdge bpmnElement="sid-63011FBD-77E7-441D-96B7-0C93202D04B2" id="BPMNEdge_sid-63011FBD-77E7-441D-96B7-0C93202D04B2">
        <omgdi:waypoint x="555.0" y="270.0"></omgdi:waypoint>
        <omgdi:waypoint x="555.0" y="310.0"></omgdi:waypoint>
      </bpmndi:BPMNEdge>
      <bpmndi:BPMNEdge bpmnElement="sid-30E2F5AB-54AD-4252-83B5-96045AFB9D14" id="BPMNEdge_sid-30E2F5AB-54AD-4252-83B5-96045AFB9D14">
        <omgdi:waypoint x="555.4040404040404" y="724.5959595959596"></omgdi:waypoint>
        <omgdi:waypoint x="555.2010050251256" y="765.0"></omgdi:waypoint>
      </bpmndi:BPMNEdge>
      <bpmndi:BPMNEdge bpmnElement="sid-E1463676-846C-4984-BA9D-A585AD48910F" id="BPMNEdge_sid-E1463676-846C-4984-BA9D-A585AD48910F">
        <omgdi:waypoint x="555.0" y="845.0"></omgdi:waypoint>
        <omgdi:waypoint x="555.0" y="885.0"></omgdi:waypoint>
      </bpmndi:BPMNEdge>
      <bpmndi:BPMNEdge bpmnElement="sid-9DFAE914-2FB1-4F27-917F-DD0CC29BD327" id="BPMNEdge_sid-9DFAE914-2FB1-4F27-917F-DD0CC29BD327">
        <omgdi:waypoint x="555.4040404040404" y="529.5959595959596"></omgdi:waypoint>
        <omgdi:waypoint x="555.2010050251256" y="570.0"></omgdi:waypoint>
      </bpmndi:BPMNEdge>
      <bpmndi:BPMNEdge bpmnElement="sid-F9D9924A-C986-4D82-9862-019FC7523E91" id="BPMNEdge_sid-F9D9924A-C986-4D82-9862-019FC7523E91">
        <omgdi:waypoint x="555.2094240837696" y="455.0"></omgdi:waypoint>
        <omgdi:waypoint x="555.3947368421053" y="490.39473684210526"></omgdi:waypoint>
      </bpmndi:BPMNEdge>
      <bpmndi:BPMNEdge bpmnElement="sid-141D8AFE-3079-4E9C-9BED-E310D3970B28" id="BPMNEdge_sid-141D8AFE-3079-4E9C-9BED-E310D3970B28">
        <omgdi:waypoint x="554.5904761904762" y="144.40952380952382"></omgdi:waypoint>
        <omgdi:waypoint x="554.8086124401914" y="190.0"></omgdi:waypoint>
      </bpmndi:BPMNEdge>
      <bpmndi:BPMNEdge bpmnElement="sid-C1D5F374-7BE5-4F29-B389-919FA86D96F7" id="BPMNEdge_sid-C1D5F374-7BE5-4F29-B389-919FA86D96F7">
        <omgdi:waypoint x="555.2094240837696" y="650.0"></omgdi:waypoint>
        <omgdi:waypoint x="555.3947368421053" y="685.3947368421053"></omgdi:waypoint>
      </bpmndi:BPMNEdge>
      <bpmndi:BPMNEdge bpmnElement="sid-78ECB6F3-470A-4A6E-9A7E-40D680F56794" id="BPMNEdge_sid-78ECB6F3-470A-4A6E-9A7E-40D680F56794">
        <omgdi:waypoint x="535.5" y="1020.5"></omgdi:waypoint>
        <omgdi:waypoint x="452.4000244140625" y="1020.5"></omgdi:waypoint>
        <omgdi:waypoint x="452.4000244140625" y="805.0"></omgdi:waypoint>
        <omgdi:waypoint x="505.0" y="805.0"></omgdi:waypoint>
      </bpmndi:BPMNEdge>
      <bpmndi:BPMNEdge bpmnElement="sid-E02B5204-EB60-4550-82CC-568590AD2A06" id="BPMNEdge_sid-E02B5204-EB60-4550-82CC-568590AD2A06">
        <omgdi:waypoint x="554.1145004807759" y="74.99956298163058"></omgdi:waypoint>
        <omgdi:waypoint x="554.3461538461538" y="105.34615384615384"></omgdi:waypoint>
      </bpmndi:BPMNEdge>
      <bpmndi:BPMNEdge bpmnElement="sid-68497FB4-C9CC-4C34-B9F5-61CA625BB006" id="BPMNEdge_sid-68497FB4-C9CC-4C34-B9F5-61CA625BB006">
        <omgdi:waypoint x="555.0746268656717" y="1039.9253731343283"></omgdi:waypoint>
        <omgdi:waypoint x="554.306495867329" y="1075.0033553919766"></omgdi:waypoint>
      </bpmndi:BPMNEdge>
      <bpmndi:BPMNEdge bpmnElement="sid-7384CFA9-C8CC-490E-9665-4212DE0C09BA" id="BPMNEdge_sid-7384CFA9-C8CC-490E-9665-4212DE0C09BA">
        <omgdi:waypoint x="555.2094240837696" y="965.0"></omgdi:waypoint>
        <omgdi:waypoint x="555.3947368421053" y="1000.3947368421053"></omgdi:waypoint>
      </bpmndi:BPMNEdge>
      <bpmndi:BPMNEdge bpmnElement="sid-B606633E-C1E7-4C7C-B7C6-F8518AD2C6F9" id="BPMNEdge_sid-B606633E-C1E7-4C7C-B7C6-F8518AD2C6F9">
        <omgdi:waypoint x="574.5" y="510.5"></omgdi:waypoint>
        <omgdi:waypoint x="674.0" y="510.5"></omgdi:waypoint>
        <omgdi:waypoint x="674.0" y="1089.0"></omgdi:waypoint>
        <omgdi:waypoint x="568.0" y="1089.0"></omgdi:waypoint>
      </bpmndi:BPMNEdge>
      <bpmndi:BPMNEdge bpmnElement="sid-896B4179-CA24-4941-A278-0786949F98FB" id="BPMNEdge_sid-896B4179-CA24-4941-A278-0786949F98FB">
        <omgdi:waypoint x="574.5" y="705.5"></omgdi:waypoint>
        <omgdi:waypoint x="673.4000244140625" y="705.5"></omgdi:waypoint>
        <omgdi:waypoint x="673.4000244140625" y="1089.0"></omgdi:waypoint>
        <omgdi:waypoint x="568.0" y="1089.0"></omgdi:waypoint>
      </bpmndi:BPMNEdge>
      <bpmndi:BPMNEdge bpmnElement="sid-BFF485F4-DBD3-4FE6-8EAF-3C4863056606" id="BPMNEdge_sid-BFF485F4-DBD3-4FE6-8EAF-3C4863056606">
        <omgdi:waypoint x="555.3869047619048" y="349.61309523809524"></omgdi:waypoint>
        <omgdi:waypoint x="555.2366863905326" y="375.0"></omgdi:waypoint>
      </bpmndi:BPMNEdge>
      <bpmndi:BPMNEdge bpmnElement="sid-09976D7E-D8A2-40A3-A97D-D7835FF92DF4" id="BPMNEdge_sid-09976D7E-D8A2-40A3-A97D-D7835FF92DF4">
        <omgdi:waypoint x="574.5" y="330.5"></omgdi:waypoint>
        <omgdi:waypoint x="673.4124755859375" y="330.5"></omgdi:waypoint>
        <omgdi:waypoint x="673.4124755859375" y="1089.0"></omgdi:waypoint>
        <omgdi:waypoint x="568.0" y="1089.0"></omgdi:waypoint>
      </bpmndi:BPMNEdge>
      <bpmndi:BPMNEdge bpmnElement="sid-A2171898-17C7-426D-A7B9-341B0709847D" id="BPMNEdge_sid-A2171898-17C7-426D-A7B9-341B0709847D">
        <omgdi:waypoint x="534.5" y="125.5"></omgdi:waypoint>
        <omgdi:waypoint x="444.4749755859375" y="125.5"></omgdi:waypoint>
        <omgdi:waypoint x="444.4749755859375" y="415.0"></omgdi:waypoint>
        <omgdi:waypoint x="505.0" y="415.0"></omgdi:waypoint>
      </bpmndi:BPMNEdge>
    </bpmndi:BPMNPlane>
  </bpmndi:BPMNDiagram>
</definitions>